Bug 234881 - [MAINTAINER UPDATE] devel/aegis: make to work CLANG/LLVM
Summary: [MAINTAINER UPDATE] devel/aegis: make to work CLANG/LLVM
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-11 19:23 UTC by aryeh.friedman
Modified: 2019-01-13 15:30 UTC (History)
1 user (show)

See Also:


Attachments
port files patch (5.83 KB, patch)
2019-01-11 19:23 UTC, aryeh.friedman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description aryeh.friedman 2019-01-11 19:23:36 UTC
Created attachment 201039 [details]
port files patch

Move from GCC to CLANG as default compiler
Comment 1 aryeh.friedman 2019-01-12 10:03:24 UTC
oops forgot to bump the PORTVERSION can the committer please do that?
Comment 2 commit-hook freebsd_committer 2019-01-13 15:26:17 UTC
A commit references this bug:

Author: swills
Date: Sun Jan 13 15:25:53 UTC 2019
New revision: 490145
URL: https://svnweb.freebsd.org/changeset/ports/490145

Log:
  devel/aegis: fix build with clang

  PR:		234881
  Submitted by:	aryeh.friedman@gmail.com (maintainer)

Changes:
  head/devel/aegis/Makefile
  head/devel/aegis/files/patch-common_ac_shared__ptr.h
  head/devel/aegis/files/patch-common_ac_string.h
  head/devel/aegis/files/patch-etc_configure.ac
  head/devel/aegis/files/patch-libaegis_introspector_time.h
  head/devel/aegis/files/patch-libaegis_introspector_vector.h
Comment 3 Steve Wills freebsd_committer 2019-01-13 15:30:14 UTC
Committed, thanks!